Support » Plugin: Bitcoin and Altcoin Wallets » Warning after latest update

  • Resolved Surrealer

    (@surrealer)


    When there is no exchange selected in /wp-admin/admin.php?page=wallets-menu-rates
    It throws the following warning:

    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wallets/includes/rates.php:30) in /wp-admin/includes/misc.php on line 1116
    Wallet:
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Fixer	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Coinmarketcap	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Bittrex	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Poloniex	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Novaexchange	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Yobit	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Cryptopia	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Tradesatoshi	
     Warning: array_search() expects parameter 2 to be array, boolean given in /wp-content/plugins/wallets/includes/rates.php on line 341
    checked='checked' /> Stocksexchange	

    When I deactivate all exchanges and activate them again I get a white page with:

    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: array_search() expects parameter 2 to be array, string given in /wp-content/plugins/wallets/includes/rates.php on line 30
    
    Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wallets/includes/rates.php:30) in /wp-admin/includes/misc.php on line 1116
    
    Warning: array_diff(): Argument #2 is not an array in /wp-content/plugins/wallets/includes/rates.php on line 484
    
    Warning: Cannot modify header information - headers already sent by (output started at /wp-content/plugins/wallets/includes/rates.php:30) in /wp-includes/pluggable.php on line 1216
    
    Fatal error: Uncaught ArgumentCountError: Too few arguments to function Dashed_Slug_Wallets_CoinPayments::filter_wallets_rates(), 1 passed in /wp-includes/class-wp-hook.php on line 286 and exactly 2 expected in /www/htdocs/w00da232/crypta.arnewerner.com/wp-content/plugins/wallets-cp/wallets-cp.php:992 Stack trace: 
    #0 /wp-includes/class-wp-hook.php(286): Dashed_Slug_Wallets_CoinPayments->filter_wallets_rates(Array) 
    #1 /wp-includes/plugin.php(203): WP_Hook->apply_filters(Array, Array) 
    #2 /wp-content/plugins/wallets/includes/rates.php(520): apply_filters('wallets_rates', Array) #3 /wp-includes/class-wp-hook.php(286): Dashed_Slug_Wallets_Rates::action_shutdown('') 
    #4 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) 
    #5 /www/htdocs/XXXX/XXXXX in /wp-content/plugins/wallets-cp/wallets-cp.php on line 992
Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Warning after latest update’ is closed to new replies.